# KSPGetNullSpace

Gets the null space of the operator

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGetNullSpace(KSP ksp,MatNullSpace *nullsp)

Collective on KSP

### Input Parameters

| ksp | - the Krylov space object
| nullsp | - the null space of the operator

### See Also

KSPSetOperators(), MatNullSpaceCreate(), KSPSetNullSpace()

Level:advanced
Location: src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex33.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html